﻿#language: ru

@honest_sign

Функционал: 001. honest_sign. Стационарная маркировка

Сценарий: 001.1. honest_sign. Выпуск продукции в Стационарной маркировке

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.001. ЧестныйЗнак"
	И В командном интерфейсе я выбираю 'Главное' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И в поле с именем 'Дата' я ввожу текст '01.05.2021'
	И я нажимаю кнопку выбора у поля с именем "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля с именем "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Стационарная маркировка'
	Тогда открылось окно 'Стационарная маркировка'
	И я перехожу к закладке с именем "СтраницаПараметры"
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Константа НН'
	И я меняю значение переключателя с именем 'ПечатьСразуНаПринтер' на 'Нет'
	И я меняю значение переключателя с именем 'МаркировкаШтуки' на 'Штука'
	И я меняю значение переключателя с именем 'ЗаполнятьСырьеПоНормативу' на 'Нет'
	И я меняю значение переключателя с именем 'ПроводитьВерификациюШтучныхКодов' на 'Да'
	И я перехожу к закладке с именем "СтраницаМаркировка"
	И я нажимаю на кнопку с именем 'ВыбратьСтрокуЗадания'
	И я нажимаю на кнопку с именем 'РежимВыпуск'
	И я нажимаю на кнопку с именем 'ДобавитьПаллет'
	И в поле с именем 'КоличествоШтук' я ввожу текст '10'
	И я перехожу к следующему реквизиту
	И Я закрываю печатные формы этикеток штук
	* Верификация девяти штрихкодов
		И Я верифицирую штрихкод "(01)09781782808084(21)5%k*Kl(93)dGVz"
		И Я верифицирую штрихкод "(01)09781782808084(21)5+BhQj(93)dGVz"
		И Я верифицирую штрихкод "(01)09781782808084(21)5e,;E.(93)dGVz"
		И Я верифицирую штрихкод "(01)09781782808084(21)5F8sBA(93)dGVz"
		И Я верифицирую штрихкод "(01)09781782808084(21)5JZeBC(93)dGVz"
		И Я верифицирую штрихкод "(01)09781782808084(21)5K<kg((93)dGVz"
		И Я верифицирую штрихкод "(01)09781782808084(21)5M*GJr(93)dGVz"
		И Я верифицирую штрихкод "(01)09781782808084(21)5MVTST(93)dGVz"
		И Я верифицирую штрихкод "(01)09781782808084(21)5p2!Zm(93)dGVz"
	* Завершение без верификации
		И я нажимаю на кнопку с именем 'ЗавершитьОперацию'
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		И элемент формы 'ТекстДиалога' стал равен 'Не все коды верифицированы.'
		И я нажимаю на кнопку с именем 'КомандаОК'
	* Верификация последнего штрихкода
		И Я верифицирую штрихкод "(01)09781782808084(21)5SyN07(93)dGVz"
	* Печать короба и штуки
		И в таблице "Короба" я перехожу к строке:
			| 'Количество' | 'Номенклатура'    | 'Серия'                        | 'Характеристика' |
			| '2,000'      | 'Молоко отборное' | '000001 до 31.05.2021 0:00:00' | 'Маркированное'  |
		Когда я нажимаю на кнопку с именем 'ПечатьКороба'
		Тогда открылось окно 'Печать документа'
		Когда Я закрываю окно 'Печать документа'
		Тогда открылось окно 'Стационарная маркировка'
		Когда я нажимаю на кнопку с именем 'ПечатьШтуки'
		Тогда открылось окно 'Печать документа'
		Когда Я закрываю окно 'Печать документа'
		Тогда открылось окно 'Стационарная маркировка'
	* Завершение работы
		И я нажимаю на кнопку с именем 'ЗавершитьОперацию'
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		Тогда открылось окно 'Печать документа'
		И Я закрываю окно 'Печать документа'
		Тогда открылось окно 'Стационарная маркировка'
		И Я закрываю окно 'Стационарная маркировка'
		Тогда открылось окно '[Администратор]: Меню учетных точек'
		И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 001.2. honest_sign. Проверка переработки

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Рабочий центр' | 'Смена'   | 'Способ создания'         |
		| '01.05.2021' | 'Маркировка'    | 'Смена24' | 'Стационарная маркировка' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка * от *'
	Тогда элемент формы с именем "ВидОперации" стал равен 'Переработка'
	И элемент формы с именем "Статус" стал равен 'Выполнено'
	И элемент формы с именем "РабочийЦентр" стал равен 'Маркировка'
	И элемент формы с именем "Организация" стал равен 'Константа НН'
	И элемент формы с именем "ДатаСмены" стал равен '01.05.2021'
	И элемент формы с именем "Смена" стал равен 'Смена24'
	И элемент формы с именем "СкладВыпуск" стал равен 'Склад'
	И таблица "Выпуск" стала равной по шаблону:
		| 'Спецификация'    | 'Количество' | 'Номенклатура'    | 'Характеристика' | 'Серия'                        | 'Ед. изм.' | 'Задание'                                    |
		| 'Молоко отборное' | '10,000'     | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       | 'Производственное задание * от 01.05.2021 *' |
	Тогда в таблице "РаспределениеМатериалов" количество строк "равно" 0
	И таблица "ШтрихкодыУпаковок" стала равной:
		| 'Штрихкод упаковки'      |
		| '(00)100000000100000013' |
	И элемент формы с именем "СпособСоздания" стал равен 'Стационарная маркировка'
	И Я закрываю окно 'Переработка * от *'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 001.3. honest_sign. Проверка штрихкодов упаковок

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Штрихкоды упаковок и товаров'
	Тогда открылось окно 'Штрихкоды упаковок и товаров'
	Тогда таблица "Список" содержит строки по шаблону:
		| 'Значение штрихкода'                                    | 'Тип упаковки'          | 'Номенклатура'    | 'Тип штрихкода'    | 'Характеристика' |
		| '(01)09781782808084(21)5K<kg('                          | 'Маркированный товар'   | 'Молоко отборное' | 'GS-1 Data matrix' | 'Маркированное'  |
		| '(01)09781782808084(21)5p2!Zm'                          | 'Маркированный товар'   | 'Молоко отборное' | 'GS-1 Data matrix' | 'Маркированное'  |
		| '(01)09781782808084(21)5JZeBC'                          | 'Маркированный товар'   | 'Молоко отборное' | 'GS-1 Data matrix' | 'Маркированное'  |
		| '(01)09781782808084(21)5MVTST'                          | 'Маркированный товар'   | 'Молоко отборное' | 'GS-1 Data matrix' | 'Маркированное'  |
		| '(01)09781782808084(21)5+BhQj'                          | 'Маркированный товар'   | 'Молоко отборное' | 'GS-1 Data matrix' | 'Маркированное'  |
		| '(01)09781782808084(21)5%k*Kl'                          | 'Маркированный товар'   | 'Молоко отборное' | 'GS-1 Data matrix' | 'Маркированное'  |
		| '(01)09781782808084(21)5M*GJr'                          | 'Маркированный товар'   | 'Молоко отборное' | 'GS-1 Data matrix' | 'Маркированное'  |
		| '(01)09781782808084(21)5e,;E.'                          | 'Маркированный товар'   | 'Молоко отборное' | 'GS-1 Data matrix' | 'Маркированное'  |
		| '(01)09781782808084(21)5SyN07'                          | 'Маркированный товар'   | 'Молоко отборное' | 'GS-1 Data matrix' | 'Маркированное'  |
		| '(01)09781782808084(21)5F8sBA'                          | 'Маркированный товар'   | 'Молоко отборное' | 'GS-1 Data matrix' | 'Маркированное'  |
		| '(00)100000000100000013'                                | 'Монотоварная упаковка' | 'Молоко отборное' | 'SSCC'             | 'Маркированное'  |
		| '(01)09781782808082(17)210531(11)210501(21)1(10)000001' | 'Монотоварная упаковка' | 'Молоко отборное' | 'GS1-128'          | 'Маркированное'  |
		| '(01)09781782808082(17)210531(11)210501(21)2(10)000001' | 'Монотоварная упаковка' | 'Молоко отборное' | 'GS1-128'          | 'Маркированное'  |
		| '(01)09781782808082(17)210531(11)210501(21)3(10)000001' | 'Монотоварная упаковка' | 'Молоко отборное' | 'GS1-128'          | 'Маркированное'  |
	* Проверка палеты
		И в таблице "Список" я перехожу к строке:
			| 'Значение штрихкода'     |
			| '(00)100000000100000013' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно '(00)100000000100000013 (Штрихкоды упаковок и товаров)'
		Тогда элемент формы с именем "УпаковочныйЛист" стал равен 'Паллета 0000001'
		И элемент формы с именем "ТипУпаковки" стал равен 'Монотоварная упаковка'
		И элемент формы с именем "ТипШтрихкода" стал равен 'SSCC'
		И элемент формы с именем "ЗначениеШтрихкода" стал равен '(00)100000000100000013'
		И элемент формы с именем "Номенклатура" стал равен 'Молоко отборное'
		И элемент формы с именем "Характеристика" стал равен 'Маркированное'
		И элемент формы с именем "Упаковка" стал равен 'упак (4 упак)'
		И элемент формы с именем "Серия" стал равен '000001 до 31.05.2021 0:00:00'
		И элемент формы с именем "Количество" стал равен '10,000'
		И элемент формы с именем "СерийныйНомер" стал равен '0'
		И таблица "ВложенныеШтрихкоды" стала равной:
			| 'Штрихкод'                                              |
			| '(01)09781782808082(17)210531(11)210501(21)1(10)000001' |
			| '(01)09781782808082(17)210531(11)210501(21)2(10)000001' |
			| '(01)09781782808082(17)210531(11)210501(21)3(10)000001' |
		И таблица "ВложенныеТовары" стала равной:
			| 'Количество' | 'Количество упаковок' | 'Номенклатура'    | 'Характеристика' | 'Серия'                        | 'Ед. изм.' | 'Упаковка'      |
			| '10,000'     | '3,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       | 'упак (4 упак)' |
		И Я закрываю окно '(00)100000000100000013 (Штрихкоды упаковок и товаров)'
		Тогда открылось окно 'Штрихкоды упаковок и товаров'
	* Проверка коробки 1
		И в таблице "Список" я перехожу к строке:
			| 'Значение штрихкода'                                    |
			| '(01)09781782808082(17)210531(11)210501(21)1(10)000001' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно '(01)09781782808082(17)210531(11)210501(21)1(10)000001 (Штрихкоды упаковок и товаров)'
		Тогда элемент формы с именем "УпаковочныйЛист" стал равен ''
		И элемент формы с именем "ТипУпаковки" стал равен 'Монотоварная упаковка'
		И элемент формы с именем "ТипШтрихкода" стал равен 'GS1-128'
		И элемент формы с именем "ЗначениеШтрихкода" стал равен '(01)09781782808082(17)210531(11)210501(21)1(10)000001'
		И элемент формы с именем "Номенклатура" стал равен 'Молоко отборное'
		И элемент формы с именем "Характеристика" стал равен 'Маркированное'
		И элемент формы с именем "Упаковка" стал равен 'упак (4 упак)'
		И элемент формы с именем "Серия" стал равен '000001 до 31.05.2021 0:00:00'
		И элемент формы с именем "Количество" стал равен '4,000'
		И элемент формы с именем "СерийныйНомер" стал равен '1'
		И таблица "ВложенныеШтрихкоды" стала равной:
			| 'Штрихкод'                     |
			| '(01)09781782808084(21)5%k*Kl' |
			| '(01)09781782808084(21)5+BhQj' |
			| '(01)09781782808084(21)5e,;E.' |
			| '(01)09781782808084(21)5F8sBA' |
		И таблица "ВложенныеТовары" стала равной:
			| 'Количество' | 'Количество упаковок' | 'Номенклатура'    | 'Характеристика' | 'Серия'                        | 'Ед. изм.' |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       |
		И Я закрываю окно '(01)09781782808082(17)210531(11)210501(21)1(10)000001 (Штрихкоды упаковок и товаров)'
		Тогда открылось окно 'Штрихкоды упаковок и товаров'		
	* Проверка коробки 2
		И в таблице "Список" я перехожу к строке:
			| 'Значение штрихкода'                                    |
			| '(01)09781782808082(17)210531(11)210501(21)2(10)000001' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно '(01)09781782808082(17)210531(11)210501(21)2(10)000001 (Штрихкоды упаковок и товаров)'
		Тогда элемент формы с именем "УпаковочныйЛист" стал равен ''
		И элемент формы с именем "ТипУпаковки" стал равен 'Монотоварная упаковка'
		И элемент формы с именем "ТипШтрихкода" стал равен 'GS1-128'
		И элемент формы с именем "ЗначениеШтрихкода" стал равен '(01)09781782808082(17)210531(11)210501(21)2(10)000001'
		И элемент формы с именем "Номенклатура" стал равен 'Молоко отборное'
		И элемент формы с именем "Характеристика" стал равен 'Маркированное'
		И элемент формы с именем "Упаковка" стал равен 'упак (4 упак)'
		И элемент формы с именем "Серия" стал равен '000001 до 31.05.2021 0:00:00'
		И элемент формы с именем "Количество" стал равен '4,000'
		И элемент формы с именем "СерийныйНомер" стал равен '2'
		Тогда таблица "ВложенныеШтрихкоды" стала равной:
			| 'Штрихкод'                     |
			| '(01)09781782808084(21)5JZeBC' |
			| '(01)09781782808084(21)5K<kg(' |
			| '(01)09781782808084(21)5M*GJr' |
			| '(01)09781782808084(21)5MVTST' |
		И таблица "ВложенныеТовары" стала равной:
			| 'Количество' | 'Количество упаковок' | 'Номенклатура'    | 'Характеристика' | 'Серия'                        | 'Ед. изм.' |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       |
		И Я закрываю окно '(01)09781782808082(17)210531(11)210501(21)2(10)000001 (Штрихкоды упаковок и товаров)'
		Тогда открылось окно 'Штрихкоды упаковок и товаров'
	* Проверка коробки 3
		И в таблице "Список" я перехожу к строке:
			| 'Значение штрихкода'                                    |
			| '(01)09781782808082(17)210531(11)210501(21)3(10)000001' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно '(01)09781782808082(17)210531(11)210501(21)3(10)000001 (Штрихкоды упаковок и товаров)'
		Тогда элемент формы с именем "УпаковочныйЛист" стал равен ''
		И элемент формы с именем "ТипУпаковки" стал равен 'Монотоварная упаковка'
		И элемент формы с именем "ТипШтрихкода" стал равен 'GS1-128'
		И элемент формы с именем "ЗначениеШтрихкода" стал равен '(01)09781782808082(17)210531(11)210501(21)3(10)000001'
		И элемент формы с именем "Номенклатура" стал равен 'Молоко отборное'
		И элемент формы с именем "Характеристика" стал равен 'Маркированное'
		И элемент формы с именем "Упаковка" стал равен 'упак (4 упак)'
		И элемент формы с именем "Серия" стал равен '000001 до 31.05.2021 0:00:00'
		И элемент формы с именем "Количество" стал равен '2,000'
		И элемент формы с именем "СерийныйНомер" стал равен '3'
		Тогда таблица "ВложенныеШтрихкоды" стала равной:
			| 'Штрихкод'                     |
			| '(01)09781782808084(21)5p2!Zm' |
			| '(01)09781782808084(21)5SyN07' |
		И таблица "ВложенныеТовары" стала равной:
			| 'Количество' | 'Количество упаковок' | 'Номенклатура'    | 'Характеристика' | 'Серия'                        | 'Ед. изм.' |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       |
		И Я закрываю окно '(01)09781782808082(17)210531(11)210501(21)3(10)000001 (Штрихкоды упаковок и товаров)'
		Тогда открылось окно 'Штрихкоды упаковок и товаров'
	И Я закрываю окно 'Штрихкоды упаковок и товаров'
	
Сценарий: 001.4. honest_sign. Проверка упаковочного листа

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И в таблице "Список" я перехожу к строке:
		| 'Код'     | 'Организация'  | 'Склад упаковки' | 'Способ создания'         | 'Тип тары' |
		| '0000001' | 'Константа НН' | 'Склад'          | 'Стационарная маркировка' | 'Паллета'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Паллета *'
	Тогда элемент формы с именем "СпособСоздания" стал равен 'Стационарная маркировка'
	И элемент формы с именем "Организация" стал равен 'Константа НН'
	И элемент формы с именем "Код" стал равен '0000001'
	И элемент формы с именем "ТипТары" стал равен 'Паллета'
	И элемент формы с именем "ЦифраРасширенияSSCC" стал равен '1'
	И элемент формы с именем "НомерКоробаВПаллете" стал равен '0'
	И таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Упаковочный лист' | 'Номер упаковки серии' | 'Ед. изм.' | 'Характеристика' | 'Серия'                        | 'Упаковка'      | 'Количество упаковок' | 'Штрихкод упаковки'                                     |
		| '4,000'      | 'Молоко отборное' | ''                 | '1'                    | 'шт'       | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'упак (4 упак)' | '1,000'               | '(01)09781782808082(17)210531(11)210501(21)1(10)000001' |
		| '4,000'      | 'Молоко отборное' | ''                 | '2'                    | 'шт'       | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'упак (4 упак)' | '1,000'               | '(01)09781782808082(17)210531(11)210501(21)2(10)000001' |
		| '2,000'      | 'Молоко отборное' | ''                 | '3'                    | 'шт'       | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'упак (4 упак)' | '1,000'               | '(01)09781782808082(17)210531(11)210501(21)3(10)000001' |
	И элемент формы с именем "ВсегоМест" стал равен '3'
	И элемент формы с именем "СкладУпаковки" стал равен 'Склад'
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'

Сценарий: 001.5. honest_sign. Создание Маркировки товаров ИС МП

	И В командном интерфейсе я выбираю '\"Честный знак\"' 'Формирование документов ИС МП'
	Тогда открылось окно 'Формирование документов ИС МП'
	И в поле с именем 'ОтборДата' я ввожу текст '01.05.2021'
	И из выпадающего списка с именем "ОтборРабочийЦентр" я выбираю по строке 'Маркировка'
	И из выпадающего списка с именем "ОтборОрганизация" я выбираю по строке 'Константа НН'
	И в таблице "ДеревоЗаданий" я нажимаю на кнопку с именем 'ДеревоЗаданийОбновить'
	И в таблице "ДеревоЗаданий" я перехожу к строке по шаблону:
		| 'В задании' | 'Задание на маркировку / Номенклатура' | 'Заказано' | 'Отмаркировано' | 'Получено' |
		| '10'        | 'Задание на маркировку ИСМП * от *'    | '10'       | '10'            | '10'       |
	И в таблице "Переработки" я перехожу к строке по шаблону:
		| 'Результат маркировки' |
		| 'Переработка * от *'   |
	И в таблице "Переработки" я нажимаю на кнопку с именем 'РезультатыМаркировкиОформитьМаркировкуИСМП'
	Тогда открылось окно 'Маркировка товаров ИС МП (создание)'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Константа НН'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Маркировка товаров ИС МП (создание) *'
	И я нажимаю на кнопку с именем 'ФормаЗаписать'
	Тогда открылось окно 'Маркировка товаров ИС МП * от *'
	И Я закрываю окно 'Маркировка товаров ИС МП * от *'
	Тогда открылось окно 'Формирование документов ИС МП *'
	И Я закрываю окно 'Формирование документов ИС МП *'